//  Funkcija kreditni kalkulator
//  - poziva se iz onClick događaja HTML forme "kredit"

function kalkulator() {
  // Funkcija se pokreće nakon unosa neophodnih podataka, 
  // za koje se pretpostavlja da su ispravni
  // - kamata se pretvara iz procenata u decimalnu vrednost 0..1
  // - izračunava se broj meseci i mesečna rata otplate
  
  var plus_besk = Number.POSITIVE_INFINITY;
  var minus_besk = Number.NEGATIVE_INFINITY;
  
  var iznos = document.kredit.iznos.value;
  var kamata = document.kredit.kamata.value / 100 / 12;
  var broj_rata = document.kredit.godina.value * 12;

  // Mesečna rata otplate
  var x = Math.pow(1 + kamata, broj_rata);
  var mesecno = (iznos*x*kamata)/(x-1);

  // Provera opsega rezultata
  if (!isNaN(mesecno) && (mesecno != plus_besk) && (mesecno != minus_besk)) {
      document.kredit.rata.value = round(mesecno);
      document.kredit.ukupno.value = round(mesecno * broj_rata);
      document.kredit.ukupno_kamata.value = round((mesecno * broj_rata) - iznos);
  }
  else { // greške, verovatno pri unosu
      document.kredit.rata.value = "";
      document.kredit.ukupno.value = "";
      document.kredit.ukupno_kamata.value = "";
  }
}

// Zaokruživanje na dve decimale
function round(x) {
  return Math.round(x*100)/100;
}